#ifndef BUILDINGTABLEDIALOG_H
#define BUILDINGTABLEDIALOG_H

#include <QWidget>
#include <QSortFilterProxyModel>
#include "buildingtablemodel.h"

namespace Ui {
    class BuildingEditorDialog;
}

class BuildingEditorDialog : public QWidget
{
    Q_OBJECT

public:
    BuildingEditorDialog(QWidget *parent = 0);
    ~BuildingEditorDialog();

private slots:
    void filterButton_Clicked(); // szűrés végrehajtása

private:
    void setupModel();
    void setupFilter();
    void setupUi();

    Ui::BuildingEditorDialog *_ui;

    BuildingTableModel *_model;
    QSortFilterProxyModel *_nameSortFilterModel; // szűrő és rendező modell
    QSortFilterProxyModel *_citySortFilterModel;
    QSortFilterProxyModel *_stateSortFilterModel;
};

#endif // BUILDINGTABLEDIALOG_H
